************
image module
************

Handles loading and manipulation of images in Faceswap.

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~lib.image.FacesLoader
   ~lib.image.FfmpegReader
   ~lib.image.ImageIO
   ~lib.image.ImagesLoader
   ~lib.image.ImagesSaver
   ~lib.image.SingleFrameLoader
   ~lib.image.batch_convert_color
   ~lib.image.count_frames
   ~lib.image.encode_image
   ~lib.image.generate_thumbnail
   ~lib.image.hex_to_rgb
   ~lib.image.png_read_meta
   ~lib.image.png_write_meta
   ~lib.image.read_image
   ~lib.image.read_image_batch
   ~lib.image.read_image_meta
   ~lib.image.read_image_meta_batch
   ~lib.image.rgb_to_hex

.. rubric:: Module

.. automodule:: lib.image
   :members:
   :undoc-members:
   :show-inheritance:
